generator:
  class: dmAdminDoctrineGenerator
  param:
    model_class: FuturMembre
    theme: dmAdmin
    non_verbose_templates: true
    with_show: false
    route_prefix: futur_membre
    with_doctrine_route: false
    i18n_catalogue: dm
    config:
      actions: ~
      fields: {  }
      list:
        display:
          - '=id'
          - nom
          - prenom
          - email
          - phone
          - zipcode
          - body
          - created_at
          - updated_at
        sort:
          - created_at
          - desc
        table_method: getAdminListQuery
        table_count_method: ~
        sortable: false
      filter:
        display:
          - id
          - nom
          - prenom
          - email
          - phone
          - zipcode
          - body
          - created_at
          - updated_at
      form:
        display:
          Body: [body]
          Others: [nom, prenom, email, phone, zipcode]
        class: FuturMembreAdminForm
        fields: {  }
      edit: ~
      new: ~
